Creates a new workflow run from provided data
curl --request POST \
--url https://api.rootly.com/v1/workflows/{workflow_id}/workflow_runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "workflow_runs",
"attributes": {
"immediate": true,
"check_conditions": false,
"context": {}
}
}
}
'{
"data": {
"id": "c2a56cbe-b743-416f-9e0b-8f9b4f5acc33",
"type": "workflow_runs",
"attributes": {
"kind": "incident",
"status": "queued",
"status_message": null,
"triggered_by": "user",
"user_id": 384,
"queued_at": "2026-02-07T16:47:26.538-08:00",
"started_at": null,
"completed_at": null,
"failed_at": null,
"canceled_at": null,
"updated_at": "2026-02-07T16:47:26.538-08:00",
"created_at": "2026-02-07T16:47:26.538-08:00",
"incident_id": "b9d28ce6-2efb-4481-a29c-b50c337963aa",
"post_mortem_id": null,
"action_item_id": null,
"alert_id": null,
"pulse_id": null,
"workflow_id": "366b79b7-dd37-4f26-98b8-4d6ee95648ff",
"workflow_name": "City Lights"
},
"relationships": {
"task_runs": {
"data": []
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
workflow run created
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/workflows/{workflow_id}/workflow_runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "workflow_runs",
"attributes": {
"immediate": true,
"check_conditions": false,
"context": {}
}
}
}
'{
"data": {
"id": "c2a56cbe-b743-416f-9e0b-8f9b4f5acc33",
"type": "workflow_runs",
"attributes": {
"kind": "incident",
"status": "queued",
"status_message": null,
"triggered_by": "user",
"user_id": 384,
"queued_at": "2026-02-07T16:47:26.538-08:00",
"started_at": null,
"completed_at": null,
"failed_at": null,
"canceled_at": null,
"updated_at": "2026-02-07T16:47:26.538-08:00",
"created_at": "2026-02-07T16:47:26.538-08:00",
"incident_id": "b9d28ce6-2efb-4481-a29c-b50c337963aa",
"post_mortem_id": null,
"action_item_id": null,
"alert_id": null,
"pulse_id": null,
"workflow_id": "366b79b7-dd37-4f26-98b8-4d6ee95648ff",
"workflow_name": "City Lights"
},
"relationships": {
"task_runs": {
"data": []
}
}
}
}